<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

$alizenz = explode("\n", $lizenz);
$lizenz = "";
for ($i = 0; $i < count($alizenz); $i++)
	{
	 if (!istleer(trim($alizenz[$i])))
		{
		 $lizenz .= trim($alizenz[$i])."\n";
		}
	}

if ((istleer($lizenz)) || (istleer($ablauf)) || (istleer($seriennummer)) || (istleer($ver)))
	{
	 $fehlertext = ltext("reg_setup_error1");
	 include("setup.php");
	 exit();
	}

$time = time();

db_query("update register set lizenz = '$lizenz', ablauf = '$ablauf', seriennummer = '$seriennummer', version = '$ver', hinweis = '$time::mlf||scripts_licence_check'");
$fehlertext = ltext("reg_setup_error2");
$fehlertitel = ltext("reg_setup_errortitle");
include("index3.php");
exit();

?>
